<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
//loadJS('jquery-validate');
//loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";
$objetocalculo = new calculos(); //calcula todos valores finais
$sessao = new sessao();
$finalidade=$sessao->getVar('finalidade');
$anoCorrente=$sessao->getVar('anocorrente');
$cliente=$sessao->getVar('cliente');
$anoAmostra=$anoCorrente;
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
//$objetocalculoRX = new calculosFichaVirtual(); //calcula todos valores finais


echo '<h2>Tela geral resumo (Resultados de análises)    Modalidade:' . $finalidade.' </h2>';
//echo("Operador: $nomeOperador. Modalidade:$finalidade<br>");
//echo(" idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 
$amostraLong=$sessao->getVar('amostraLong');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra<br>");
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}


switch ($tela):
    case 'editar':
		if(isset($_POST['manual'])):
	        echo '<iframe src="manual2010.php?opcaoManual=geral" style="border:5px dotted blue" width="100%" height="350"></iframe>';//funciona
 	    endif;	
	
		if (isset($_POST['box_od'])):
            echo("Box completo das outras determinações<br>");
            echo '<iframe src="testes_od.php" style="border:5px dotted red" width="130%" height="250"></iframe>';	 //funciona  
        endif;

		if (isset($_POST['bt_avaliar'])):
            echo("Box para avaliar esta amostra. Serve para consulta e serve para emitir o relatorio DEAS! Os padrões estão em CADASTROS-->ESPECIE HABILITAR E PADROES<br>");
            echo '<iframe src="avaliarAmostra.php" style="border:5px dotted red" width="130%" height="250"></iframe>';	 //funciona  
        endif;



		if(isset($_POST['dica_OD'])):
			printMSG('Clicando nos botoes ao lado voce define se quer ou nao quer que saia esta coluna de OUTRAS DETERMINAÇÕES, no boletim. Detalhe: De tiver mais de uma amostra no boletim, entao precisa informar sim ou nao em cada amostra. ','alerta');
	        //echo '<iframe src="manual2010.php?opcaoManual=dica_OD" style="border:0" width="100%" height="350"></iframe>';//funciona
 	    endif;	


	
	
	
		$houveGravacao="NAO";
		$sessao = new sessao();
		$finalidade=$sessao->getVar('finalidade');
        if (isset($_POST['alternar'])):
    		if($finalidade=='PREVIA'):
  			   $finalidade='DEFINITIVA';
			else:
  			   $finalidade='PREVIA';
			endif;
			$sessao->SetVar('finalidade',$finalidade);
			$amostraLong=$objetocalculo->achaUltima();
		endif;
		$amostraLong=$sessao->getVar('amostraLong');	
        //echo("Modalidade:$finalidade<br>");

            if(isset($_POST['bt_salvar'])   || isset($_POST['bt_salvarDR']) ):
               //echo("salvando dados<br>");
	           //aqui vai gravar diretamente nas celulas (aqui grava pureza)
			   $binario=$objetocalculoRaioX->padrao2016($amostraLong);
			   $user = new rean1(array(
               'rea_v1'=>$_POST['nome1'],				
               'rea_v2'=>$_POST['nome2'],				
               'rea_v3'=>$_POST['nome3'],				
               'rea_campo60a'=>$_POST['nome15p'],				
               'rea_lei1'=>$_POST['pesoPureza'],				

               ));
	            $reanIDPure=$_POST['reanIDPure'];
	            $user->valorpk = $reanIDPure;
	            $user->extras_select = "WHERE  rea_id=".$reanIDPure;
	            //$user->selecionaTudo($user);
	            //$res = $user->retornaDados();
	            $user->atualizar($user);
	            if ($user->linhasafetadas>0)$houveGravacao="SIM";

  
	           //aqui vai gravar diretamente nas celulas (aqui grava GERMINACAO)
			   //entra com a data do teste de germinacao que deve ser uma data valida
			   //valida a data de entrada
			   $objetoValidacao=new validacao();
		       $vaiGravar=TRUE;
			   $dt_entrada=$_POST['nome16g'];
			   //echo("data entrada em portugues $dt_entrada <br>");
			   $retorno=$objetoValidacao->validaDataEntrada($dt_entrada);//esta data vai validar o ano e somente esta
			   if($retorno=='invalida'):
		           printMSG('Preencha corretamente a data do final do teste no formato dd/mm/aaaa, pois nenhum dado foi gravado. ','alerta');
		           $vaiGravar=FALSE;
			   else:
				   $dt_entrada_americana=$retorno;
			   endif;
			   

               if($vaiGravar==TRUE ):			   
				   $user = new rean1(array(
	               'rea_v1'=>$_POST['nome5'],				
	               'rea_v2'=>$_POST['nome6'],				
	               'rea_v3'=>$_POST['nome7'],				
	               'rea_v4'=>$_POST['nome8'],				
	               'rea_v5'=>$_POST['nome9'],				
	               'rea_campo60b'=>$_POST['nome10g'],				
	               'rea_campo20a'=>$_POST['nome11g'],				
	               'rea_campo60a'=>$_POST['nome12g'],				
	               'rea_campo20b'=>$_POST['nome13g'],				
	               'rea_duracao'=>$_POST['nome14g'],				
	               'rea_datageralteste'=>$dt_entrada_americana,				

	                ));

		            $reanIDGerm=$_POST['reanIDGerm'];
		            $user->valorpk = $reanIDGerm;
		            $user->extras_select = "WHERE  rea_id=".$reanIDGerm;
		            //$user->selecionaTudo($user);
		            //$res = $user->retornaDados();
		            $user->atualizar($user);
		            if ($user->linhasafetadas>0)$houveGravacao="SIM";
                endif;//testa se a data de germinacao é válida
 



               
			   //aqui vai gravar as  4 outras determinacoes  numeradas de 14 a 17
			   //primeira coisa é saber qual a determinacao se é pms,tzo, eac etc...
               for($i=14;$i<=18;$i++):
                   $siglaDete="dete".$i;  //captura a sigla da det
				   $nomeCampo="nome".$i;  //captura o valor digitado que devera ser gravado			   
				   $nomeDete=$_POST[$siglaDete];
				   $resultadoFinal=$_POST[$nomeCampo];//valor ou resultado que foi digitado
				   //echo("sigladete $siglaDete  nomecampo=$nomeCampo nomedete=$nomeDete resultadofinal= $resultadoFinal <br>");
				   //faz logo um teste se resultado esta em branco ->NAO GRAVARA
                   if($resultadoFinal!=""):
		               //deve verificar se tem o registro
					   $user = new rean1();
					   $user->extras_select = " WHERE  rea_teste='".$nomeDete."' and  rea_ficha=".$amostraLong;
		               $user->selecionaTudo($user);
		               $registros=$user->linhasafetadas;
					   //echo("lllllllllllllllinhas afetadas= $registros<br>");
		               if($registros>0):
					       //se ja tem o teste entao so atualiza
						   //GRAVA AS LEITURAS DiRETO NA REAN
						   $sql="update rean1 set rea_v1='$resultadoFinal' where  rea_teste='".$nomeDete."' and  rea_ficha=".$amostraLong;
		  	 	           $generica=new tabelagenerica();
						   $generica->grava_registro_com_retorno($sql); 
			               //echo("ggggg sql=$sql<br>");
		               else:
					   	   //se nao tem o teste entao inclui
			               //cria registro novoGRAVA AS LEITURAS DiRETO NA REAN
						   $sql="insert into rean1(rea_v1,rea_teste,rea_ficha) values('$resultadoFinal','$nomeDete','$amostraLong')";
		  	 	           $generica=new tabelagenerica();
						   $generica->grava_registro_com_retorno($sql); 
			               //echo("ggggg incluindo sql=$sql<br>");
					   endif;
				   endif;//final do teste se porventura foi deixado em branco
               endfor;//aqui é o fornext que varre as 4 determinacoes
               
	           //aqui vai gravar diretamente nas celulas (aqui grava outras cultivares)
			   //aqui vai jogar os decimais corretos caso ele optar por fazer isso
               $pesoDOSN=$_POST['pesoOutrasSementes'];				
               $pesoNocivas=$_POST['pesoNocivas'];				
               $pesoOutrasCultivares=$_POST['pesoOutrasCultivares'];				
               $complemento=$_POST['complemento'];				

			   if(isset($_POST['bt_salvarDR'])):
			      //echo 'entrou em salvardr';
			       //captura as casas decimais corretas memso que digitou menos casa
                   $pesoDOSN=$objetocalculoRaioX->pesosAjustaCasasDecimais($pesoDOSN);//pesosilvestres e oesp
                   $pesoNocivas=$objetocalculoRaioX->pesosAjustaCasasDecimais($pesoNocivas);//peso nocivas
                   $pesoOutrasCultivares=$objetocalculoRaioX->pesosAjustaCasasDecimais($pesoOutrasCultivares);//peso outras cultivares
                   $complemento=$objetocalculoRaioX->pesosAjustaCasasDecimais($complemento);//complemento

			   endif;
			   
			   
			   
			   $user = new amostras(array(
               'fic_outrascultivares'=>$_POST['nome4'],				
               'fic_pesodet_octv'=>$pesoOutrasCultivares,				
               'fic_pesodet_dosn'=>$pesoDOSN,				
               'fic_pesodet_nocivas'=>$pesoNocivas,				
               'fic_complemento'=>$complemento,				
               ));
	            $user->valorpk = $amostraLong;
	            $user->extras_select = "WHERE  fic_id=".$amostraLong;
	            $user->atualizar($user);
	            if ($user->linhasafetadas>0)$houveGravacao="SIM";

                if($houveGravacao=="SIM"): 
	                printMSG('Dados alterados com sucesso. ');
	                unset($_POST);
	            else:
					printMSG('Ok.Nada foi alterado. ','alerta');
	            endif;
				
  		    endif;//final do isset gravar
	
	
          if (isset($_POST['acharDigitada']) || isset($_POST['acharAvanca'])  || isset($_POST['acharRecua']) || isset($_POST['acharUltima'])):
			   	$registro=$_POST["amostra"];//se clica em achar digitada ja pega daqui
              	if(isset($_POST['acharAvanca']))$acao='avanca';
              	if(isset($_POST['acharRecua']))$acao='recua';
              	if(isset($_POST['acharUltima']))$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

         if (isset($_POST['DOSN1']) || isset($_POST['DOSN2']) || isset($_POST['BT_DOSN3'])):
	           //aqui vai gravar diretamente nas celulas 
               if (isset($_POST['DOSN1']))$conteudo='0';
               if (isset($_POST['DOSN2']))$conteudo='-N-';
               if (isset($_POST['BT_DOSN3']))$conteudo='-N-';
			   //echo("gravando $conteudo<br>");
			   $user = new amostras(array(
               'fic_dosn'=>$conteudo,				
               ));
	            $user->valorpk = $amostraLong;
	            $user->extras_select = "WHERE  fic_id=".$amostraLong;
	            $user->atualizar($user);
	            if ($user->linhasafetadas>0)$houveGravacao="SIM";

                if($houveGravacao=="SIM"): 
	                printMSG('Valor ' . $conteudo . ' gravado com sucesso, nos campos DOSN. Caso porém voce esteja visualizando algum valor nas colunas 10,11,12 ou 13 e isso nao for sua realidade, entao  voce precisa ir em RESULTADOS->INFORMAR CONTAMINANTE e clicar em casos especiais para remover os contaminantes que ja existam. Lembrando que nos documentos vai sair exatamente da forma como aparece nesta tela.','alerta');
	                
	            else:
					printMSG('Ok.Nada foi alterado. Atenção: Se ja foi lancado algum contaminante na amostra entao este comando nao surte efeito e voce precisa ir em RESULTADOS->INFORMAR CONTAMINANTE e clicar em casos especiais para remover os contaminantes que ja existam.','alerta');
	            endif;
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima




         if (isset($_POST['bt_complemento'])):
	           //aqui vai gravar diretamente nas celulas (aqui grava outras cultivares)
               $complemento=($_POST['complemento']);
               $pesoPureza=($_POST['pesoPureza']);
			   
			   $pesoNocivas= $complemento+$pesoPureza;
			   if($pesoNocivas>1000):
			      $pesoNocivas=number_format($complemento+$pesoPureza,0,',','');
				  printMSG('Atenção: O peso de nocivas excedeu 1000 g entao deve arredondar(sem casas decimais). ','alerta');
			   endif;
			   
			   //echo("gravando $conteudo<br>");
			   $user = new amostras(array(
               'fic_complemento'=>$complemento,				
               'fic_pesodet_nocivas'=>$pesoNocivas,				
               ));
	            $user->valorpk = $amostraLong;
	            $user->extras_select = "WHERE  fic_id=".$amostraLong;
	            $user->atualizar($user);
	            if ($user->linhasafetadas>0)$houveGravacao="SIM";

                if($houveGravacao=="SIM"): 
	                printMSG('Valor ' . $conteudo . ' gravado com sucesso, nos campos DOSN. ');
	                unset($_POST);
	            else:
					printMSG('Ok.Nada foi alterado. ','alerta');
	            endif;
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima



		///////////aqui entra de qualquer maneira///////////////////////////
		//ENTRA DE QUAKQUER MANEIRA para pegar a id da especie
		$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_binario" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
				"ctv_nome" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
				"esp_grupo2011" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
		$generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
	        if($finalidade=='DEFINITIVA'): 
			   $numeroAmostra=$resgenerica->fic_amostra;
			else:
			   $numeroAmostra=$resgenerica->fic_amostra_previa;
			endif; 		
			$especie=$resgenerica->esp_nome;
			$cultivar=$resgenerica->ctv_nome;
			$idEspecie=$resgenerica->esp_id;
			$lote=$resgenerica->fic_lote;
			$binario=$resgenerica->fic_binario;
			$grupo2011=$resgenerica->esp_grupo2011;
		endwhile;
        echo("Espécie: $especie Cultivar: $cultivar  Lote: $lote  grupo=$grupo2011  Binario avaliação=$binario<br>");
		
		 $vetor[1] ="Pureza";
		 $vetor[2] ="M.Iner";
		 $vetor[3] ="O.Semt";
		 $vetor[4] ="O.Cult";
		 $vetor[5] ="Norm.";
		 $vetor[6] ="Anorm.";
		 $vetor[7] ="Duras ";
		 $vetor[8] ="Dorm. ";
		 $vetor[9] ="Mortas";
		 $vetor[10]="O.Esp.";
		 $vetor[11]="Silv.";
		 $vetor[12]="N.Tol.";
		 $vetor[13]="N.Pro."; 
         $titulo1  ="PMS";
         $titulo2  ="EAC";
         $titulo3  ="INF";
         $titulo4  ="OGM";
	    //ENTRA DE QUAKQUER MANEIRA PARA ACHAR AS DETS DESTA ESPECIE
 	 	$generica=new tabelagenerica();
		$generica->tabela="deteboletim";
		$generica->campos_valores = array(
				"dbo_sigla_dete1" => NULL,
				"dbo_sigla_dete2" => NULL,
				"dbo_sigla_dete3" => NULL,
				"dbo_sigla_dete4" => NULL,
				"dbo_sigla_dete5" => NULL,
			);
		$generica->extras_select =" where  dbo_lab=".$idLabo." && dbo_especie=".$idEspecie;
		//echo $generica->extras_select ;
		
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$vetor[14]=$resgenerica->dbo_sigla_dete1;
			$vetor[15]=$resgenerica->dbo_sigla_dete2;
			$vetor[16]=$resgenerica->dbo_sigla_dete3;
			$vetor[17]=$resgenerica->dbo_sigla_dete4;
			//barenbrug mapeia pqa na segudna posicao
            if($cliente=='BAREN'):
			    if($vetor[14]=='PQA')$vetor[14]="VE";
			    if($vetor[15]=='PQA')$vetor[15]="VE";
			    if($vetor[16]=='PQA')$vetor[16]="VE";
			    if($vetor[17]=='PQA')$vetor[17]="VE";
			endif;
			//$vetor[18]=$resgenerica->dbo_sigla_dete5;
	    endwhile;

        //aqui vai fazer a definicao se é para levar para boletim ou nao
        $clicadoOD=0;		
		if (isset($_POST['14']))$clicadoOD=14;
		if (isset($_POST['15']))$clicadoOD=15;
		if (isset($_POST['16']))$clicadoOD=16;
		if (isset($_POST['17']))$clicadoOD=17;

        //echo("clicou no $clicadoOD <br>");


        if($clicadoOD>0):
           $siglaDete=$vetor[$clicadoOD];
		   //echo("Achou pms $clicadoOD  $vetor[$clicadoOD] <br>");
           //deve verificar se tem o registro
		   $user = new rean1();
		   $user->extras_select = " WHERE  rea_teste='".$siglaDete."' and  rea_ficha=".$amostraLong;
           $user->selecionaTudo($user);
           $registros=$user->linhasafetadas;
		   //echo("lllllllllllllllinhas afetadas= $registros<br>");
           if($registros>0):
		       //AQUI VAI CAPTURAR O VALOR DA DET E O VALOR DA OCULTACAO
			   //AQUI VAI PEGAR DA REAN
				$generica=new tabelagenerica();
				$generica->tabela="rean1";
				$generica->campos_valores = array(
						"rea_v1" => NULL,
						"rea_boletim" => NULL,
					);
				$generica->extras_select =" where rea_teste='".$siglaDete."' &&  rea_ficha=".$amostraLong;
				//echo $generica->extras_select ;
			    $generica->selecionaCampos($generica);
				while ($resgenerica = $generica->retornaDados()):
					$resultado[$i]=$resgenerica->rea_v1;
					$ocultarBoletimString=$resgenerica->rea_boletim;
			    endwhile; 
                //aqui faz a alternancia. Se é sim poe nao e vice versa
               $ocultacaoGravar="S";
			   if($ocultarBoletimString=='S')$ocultacaoGravar="N"; 
		   
		       //se ja tem o teste entao so atualiza
			   //GRAVA AS LEITURAS DiRETO NA REAN
			   $sql="update rean1 set rea_boletim='$ocultacaoGravar' where  rea_teste='".$siglaDete."' and  rea_ficha=".$amostraLong;
 	           $generica=new tabelagenerica();
			   $generica->grava_registro_com_retorno($sql); 
               //echo("ggggghhhhh sql=$sql<br>");
		   endif;
        endif;//aqui testa se foi clicado nalgum botao de od para esconder ou nao
		 
	    //ENTRA DE QUAKQUER MANEIRA PARA ACHAR OS VALORES GRAVADOS PARA AS DETS SE NAO ACHA A DET JA CRIA O REGISTRO E COLOCA -N-
 	 	for($i=14;$i<=17;$i++):
	    	//AQUI VAI PEGAR DA REAN
			$generica=new tabelagenerica();
			$generica->tabela="rean1";
			$generica->campos_valores = array(
					"rea_v1" => NULL,
					"rea_lei1" => NULL,
					"rea_boletim" => NULL,
				);
				
			$testeRean=$vetor[$i];	
            if($vetor[$i]=="VE")$testeRean='CONJ';//so serve para barenbrug que converte pqua em ve
			$generica->extras_select =" where rea_teste='".$testeRean."' &&  rea_ficha=".$amostraLong;
			//echo "posicao=" . $i.  "  teste=" . $testeRean.  $generica->extras_select ;
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$resultado[$i]=$resgenerica->rea_v1;
                //SE FOR BAREN E SE TIVER PQUA E VE NA COLUNA 15 ELE TROCA PARA A TABELA CONGJ E PEGA O CAMPO  REA_LEI1
                if($vetor[$i]=="VE")$resultado[$i]=$resgenerica->rea_lei1;//so serve para barenbrug que converte pqua em ve
				$ocultarBoletim[$i]=$resgenerica->rea_boletim;
		    endwhile; 
		endfor;//final do for que vasculha os testes 14,15,16 e 17
		 
	    $tela='editar';
        ///////////vai abrir o registro de pureza///////////////
        $user1 = new rean1();
		$user1->extras_select =" where  rea_teste='PURE' AND rea_ficha=".$amostraLong ;
        $user1->selecionaTudo($user1);
		while ($res1 = $user1->retornaDados()):
		    $resultado[1]=$res1->rea_v1;
		    $resultado[2]=$res1->rea_v2;
		    $resultado[3]=$res1->rea_v3;
			$reanIDPure=$res1->rea_id;
		    $naturezaMI=$res1->rea_campo60a;
			
            //printf('<td>%s</td>tttttxxxxxxxxxxxxxxx',$res->rea_v1);
        endwhile;

         ///////////vai abrir o registro de germinacao///////////////
        $user1 = new rean1();
		$user1->extras_select =" where rea_boletim='S' and rea_teste='GERM' AND rea_ficha=".$amostraLong ;
        $user1->selecionaTudo($user1);
		while ($res1 = $user1->retornaDados()):
		    $resultado[5]=$res1->rea_v1;
		    $resultado[6]=$res1->rea_v2;
		    $resultado[7]=$res1->rea_v3;//DURAS
			$durasBD=$res1->rea_v3;
		    $resultado[8]=$res1->rea_v4;//dormentes
			$dormentesBD=$res1->rea_v4;
		    $resultado[9]=$res1->rea_v5;
		    $dataGerm=date("d/m/Y",strtotime($res1->rea_datageralteste));
		    $temperatura=$res1->rea_campo20a;
		    $tratamento=$res1->rea_campo60a;
		    $substrato=$res1->rea_campo60b;
		    $germinador=$res1->rea_campo20b;
		    $duracao=$res1->rea_duracao;
			$reanIDGerm=  $res1->rea_id;
            //printf('<td>%s</td>printfxxxxxxxxxxxxxxx',$res1->rea_v4);
			//echo("xxxxxxxxxxx  $res1->rea_v4 <br>");
        endwhile;


       //casuismos tabajara:PREENCHE DURAS/DORMENTES  COM VAOR FIXO CONFORME A ESPECIE E O GRUPO 
	   //echo("1-cliente $cliente   especie=$especie   <br>");
	   if(substr($cliente,0,2)=="TS" ):
 	        //echo("2-cliente $cliente   especie=$especie<br>");
	        $dormentes=$dormentesBD;
		    $duras=$durasBD;//DURAS
			$especie=trim($especie);
			//coloca -O- EM DORMENTES se for soja ou feijao
            if($especie=="SOJA" || $especie=="FEIJÃO"):
	          //echo("3-cliente $cliente   especie=$especie<br>");
			  $dormentes="-O-";
			endif;
			//coloca -O- DURAS SE FOR FORRAGEIRA
			if(substr($grupo2011,0,4)=="FORR"  || $especie=="AVEIA BRANCA"|| $especie=="MILHETO"|| $especie=="MILHO"|| $especie=="~TRIGO"):
	          //echo("4-cliente $cliente   especie=$especie<br>");
			  $duras="-O-";
			endif;

	        echo("3-cliente $cliente   especie=$especie   duras=$duras dormentes=$dormentes<br>");

		    $resultado[7]=$duras;//duras
		    $resultado[8]=$dormentes;//dormentes
		    //$resultado[7]='du';//duras
		    //$resultado[8]='do';//dormentes
	   endif;

               			   
			   




		//acha dados da amostra
/////////////////////////////captura da funcao dos sonhos////////////////////////////
		   $vetorMegaAmostra[]=0;
		   $amostraLong=$sessao->getVar('amostraLong');
           if($amostraLong>0):
	           $vetorMegaAmostra=$objetocalculo->capturaGeralAmostra($amostraLong);
	           //echo("sssssssss amostra  $vetorMegaAmostra[1]  Lote=$vetorMegaAmostra[2]<br>");
			   $resultado[10]=$vetorMegaAmostra[7];//somaoe
			   $resultado[11]=$vetorMegaAmostra[8];//somasi
			   $resultado[12]=$vetorMegaAmostra[9];//somato
			   $resultado[13]=$vetorMegaAmostra[10];//somapr
			   //aqui uma mageuiagem se for pureza=-N- entao os campso 10 e 11 ficam -N-
			   //pois os campos de silv e oesp no existem, porque sao atrelados a pureza
               if($resultado[1]=="-N-"):
				   $resultado[10]="-N-";//somaoe
				   $resultado[11]="-N-";//somasi
			   endif;			   
			   
			   
			   
			   
			   
               //$resultado[6]=$vetorMegaAmostra[11];//anormais 
			   if($finalidade=='DEFINITIVA'):
                  $numeroAmostra=$vetorMegaAmostra[1];//protocolo 
			   else:
                  $numeroAmostra=$vetorMegaAmostra[16];//protocolo 
			   endif;
               //$lote=$vetorMegaAmostra[2];//lote 
               $resultado[4]=$vetorMegaAmostra[15];//outras cultivares
               $pesoPureza=$vetorMegaAmostra[45];//peso pureza
               $pesoOutrasSementes=$vetorMegaAmostra[50];//outras sementes
               $pesoNocivas=$vetorMegaAmostra[51];//nocivas
               $pesoOutrasCultivares =$vetorMegaAmostra[49];//outras cultivares
               $complemento=$vetorMegaAmostra[67];//complemnto
           endif;

///////////////////////////final da cptura da funcao dos sosnhos////////////////////////

		 ?>
		 
		 
		  <form class="userform" method="POST" action="">
		 <table width="900" border="1" height="50" bgcolor="white">
		 <!--coloca os 17 numeros-->
		 <tr>
		<?php
		//cria um vetor de cores com 17 posicoes
		for($i=1;$i<=17;$i++):
		   $cores[$i]="blue";
		endfor;
        //coloca vermelho naqueles que reprovou  
		if(substr($binario,0,1)=='1')$cores[5]="red";//germinacao abaixo
		if(substr($binario,3,1)=='1')$cores[1]="red";//pureza
		if(substr($binario,4,1)=='1')$cores[4]="red";//outra cultivar
		if(substr($binario,4,1)=='1')$cores[10]="red";//oesp
		if(substr($binario,4,1)=='1')$cores[11]="red";//silv
		if(substr($binario,4,1)=='1')$cores[12]="red";//nt
		if(substr($binario,4,1)=='1')$cores[13]="red";//np
		//$coresx[8]="red";//pureza
		
		
//////////////////////////////////////////////////////
		for($i=1;$i<=17;$i++):
           if($i>=14):
		        $palavraSimNao="SIM";
		        if($ocultarBoletim[$i]=="N")$palavraSimNao="NÃO";
				?>
				<td align="center"> <font size="2" color="grey"><?php echo $i.$palavraSimNao; ?></td>
				<?php
           else:		   
				?>
				<td align="center"> <font size="2" color="<?php echo $cores[$i];?>"><?php echo $i ?></td>
				<?php
		   endif; 
		endfor; 
/////////////////////////////////////////////////////		
		?>
		
		</tr>
<!--vai lancar a linha de titulos das colunas de 1 a 17 -->
		<tr>
		<?php
		for($i=1;$i<=17;$i++):
	        if($i>=14):
			    $nomeCampo="dete".$i;
				?>
				<td align="center"> <font size="2" color="grey"><input type="submit"  name="<?php echo $i;?>" size="1" value="<?php echo($vetor[$i]);?>"</td>
				<input type="hidden" readonly="readonly" name="<?php echo $nomeCampo;?>" size="1" value="<?php echo($vetor[$i]);?>"/>
				
				<?php
			else:
				?>
				<!--<td align="center" bgcolor="<x?php echo($vetorCor[$i])?>"><x?php echo($vetor[$i])?></td>   DEIXAR ESTA LINHA POIS NO PADRAO PODE REPROVAR AI JA MARCA AQUI-->
				<td align="center"> <font size="1" color="grey"><?php echo($vetor[$i])?></td>
				<?php
				//echo(" campo=$vetor[$i]  <br>");

			endif;
		endfor;
		?>
		<td align="center"> <font size="2" color="grey"><input type="submit" value="Dica"  name="dica_OD"</td>

		</tr>



		<tr>
 
        
		<?php
        //mostra os 17 itens(4 determinacoes)
		for($i=1;$i<=17;$i++)
		{
			$campo="nome".$i;
			//caso das outras determinacoes
			if($i>=14)
			{
			  ?><td align="center"><input type="text" name="<?php echo($campo)?>" value="<?php echo($resultado[$i])?>" size="1" maxlength="8" /></td><?php
			  //echo(" resultado=$resultado[$i]  <br>");
			}
			//setor pureza
			if($i<=3)
			{
			  ?><td align="center"><input type="text" name="<?php echo($campo)?>" value="<?php echo($resultado[$i])?>" size="1" maxlength="5" /></td><?php
			}
			//setor intermediario outras cultivares-germinacao e DOSN
			if($i>3 && $i<10)
			{
			  ?><td align="center"><input type="text" name="<?php echo($campo)?>" value="<?php echo($resultado[$i])?>" size="1" maxlength="3" /></td><?php
			}
			if($i>=10 && $i<14)
			{
			  ?><td align="center"><input type="text" name="<?php echo($campo)?>" value="<?php echo($resultado[$i])?>" size="1" readonly="readonly" maxlength="3" /></td><?php
			}





		}
		//captura os valores de alguns parametros se a pessoa digitou direto

		?>
		
	    <td><input type="submit" name="box_od" value="OD" /></td>

		
		
		<input type="hidden" name="reanIDPure" value="<?php echo($reanIDPure);?>" size="1"  />
		<input type="hidden" name="reanIDGerm" value="<?php echo($reanIDGerm);?>" size="1"  />
		</tr>

		</table><!--fecha quarta grade-->
 
<!--tabela para colocar os 4 pesos usados na amostra  isso precisa para o boletim vertical hihihihi-->
        <table width="900" bgcolor="#cfdada">
           <tr>
             <td>Peso Pureza(a):<input type="text"   size="2" name="pesoPureza"  value="<?php echo $pesoPureza; ?>" /></td>
             <td>Peso Outras cultivares(b):<input type="text"     size="2" name="pesoOutrasCultivares"  value="<?php echo $pesoOutrasCultivares; ?>" /></td>
			 
             <td>Peso SI/OE(c):<input type="text"     size="2" name="pesoOutrasSementes"  value="<?php echo $pesoOutrasSementes; ?>" /></td>
             <td>Peso Nocivas(d):<input type="text"     size="2" name="pesoNocivas"  value="<?php echo $pesoNocivas; ?>" /></td>
             <td>Complemento(e):<input type="text"     size="2" name="complemento"  value="<?php echo $complemento; ?>" />
  			 <input type="submit" name="bt_complemento" value="d=a+e" /></td>
		   </tr>
		</table>
        <table width="900" bgcolor="#c1d0d0">
           <tr>
             <td>GERMINAÇÃO Data:
			 <input type="text"     size="10" name="nome16g" maxlength="10"  value="<?php echo $dataGerm; ?>" />
			 </td>
			 
			 
             <td>Substrato:      
			 <input type="text"     size="3" name="nome10g" maxlength="5"  value="<?php echo $substrato; ?>" />
			 </td>

             <td>Temperatura: 
			 <input type="text"     size="3" name="nome11g"  maxlength="5"  value="<?php echo $temperatura; ?>" />
			 </td>

             <td>Tratamento: 
			 <input type="text"     size="3" name="nome12g" maxlength="60"  value="<?php echo $tratamento; ?>" />
			 </td>

             <td>Germinador: 
			 <input type="text"     size="3" name="nome13g" maxlength="10"  value="<?php echo $germinador; ?>" />
			 </td>
             <td>Duração: 
			 <input type="text"     size="3" name="nome14g" maxlength="10"  value="<?php echo $duracao; ?>" />
			 </td>
		   </tr>						
		</table>

        <table width="900" bgcolor="#cfdada">
           <tr>
             <td>Natureza do mat inerte: 
			 <input type="text"     size="20" name="nome15p" maxlength="80"  value="<?php echo $naturezaMI; ?>" />
			 </td>
			 <td>
 			 <input type="submit" name="DOSN1" value="Todos DOSN=0" />
 			 <input type="submit" name="DOSN2" value="Todos DOSN=-N-" />
 			 <input type="submit" name="BT_DOSN3" value="Sòmente nocivas=-N-" />

			 </td>	
			 
			 
			 
		   </tr>						
		</table>


<!--tabela para os comandos-->
        <table width="900" bgcolor="#93acac">
           <tr>
		   <td>
             <!--<td>Lote:<input type="text"     size="15" name="lote" autofocus="autofocus" value="<?php echo $lote; ?>" />-->
             Amostra:<input type="text" size="3" name="amostra" value="<?php  echo $numeroAmostra; ?>" />
		     <input type="submit" name="acharDigitada" value="Acha" />
		     <input type="submit" name="acharRecua" value="<" />
		     <input type="submit" name="acharAvanca" value=">" />
		     <input type="submit" name="acharUltima" value=">|" />
			 <input type="submit" name="bt_salvar" value="Salvar" />
			 			 
		     <?php if($finalidade=='PREVIA'):
			    ?>
			    <input type="submit" name="alternar" value="Acessar definitivas" />
			    <?php
                else:  
                ?>
			        <input type="submit" name="alternar" value="Acessar previas" />
				<?php
				endif;  
			 ?>
			 
 			 <input type="submit" name="bt_avaliar" value="Avaliar amostra" />			 
			 <input type="submit" name="bt_salvarDR" value="Salvar com decimais RAS" />

 			 <input type="submit" name="manual" value="Ajuda" />			 
              </td>
			  </tr>
              <tr>
			  <td>
			   <input type="submit" name="bt_salvarDR" value="Salvar com decimais RAS" /> Salva tudo, inclusive os pesos, mantendo casas decimais destes, porventura informadas além das previstas na RAS.
			  
			  </td>
			  </tr>




					
		</table>
   	</form>
		
       <?php 		 
		 
		 
		 
		 
    break;
	
	
	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;

?>


